Ticket #5527 (closed defect: fixed)

Opened 7 years ago

Last modified 2 years ago

[firmware] G1G1 users complain that the XO affectst their local network

Reported by: kimquirk Owned by: mbletsas
Priority: high Milestone: 8.2.0 (was Update.2)
Component: wireless Version:
Keywords: Cc: ashishs@…, william.waddington@…, dwmw2, mvalent, katie@…, forrest@…, rdike@…, rchokshi@…, rbhagwat@…, fuzzyTew@…
Action Needed: no action Verified: no
Deployments affected: Blocked By:
Blocking:

Description

After the first week of shipping laptops to G1G1 (build 650, 20.p42), we have 3 complaints about our XO affecting their laptops:

1) I am G4G4 user, trying to put together a project outside the US. I have the units for testing. Two have arrived.

I have discovered there is a major XO vs. Linksys conflict with the use of my Linksys WMP54GV4 router.

When I fire up an XO, the router goes down. I tried it this morning with the XO about 50' from the router and with a standard laptop about 40' from the XO. The router recovers with XO is shut down.

Any suggestions?

Can you suggest any standard routers that are compatible with the XO?

Thank you. Marvin

2) Wireless clients of my Belkin pre-N router become disconnected from the network and do not see the router as an available AP. When the OLPC is powered off the network becomes available again and all is normal for other clients.

I do see the OLPC as connected to the network using the Belkin but cannot see the internet, getting a message that the network is unreachable.

Given this behavior, is the OLPC a network destroyer?

Would love to get it going and stop it from disrupting my network.

Thanks. Barry Silverman

3) I cannot get my XO to connect to the wireless access point in my house. I have verified the athe WEP access key is correct. My router was originally set as WEP 64 bit so I changed to WEP 128bit and have a 26 character WEP key. I enter that many times when prompted and it will not connect. It is seeing my router with excellent signal strength (full green circle) but I cannot get it to connect. Several other "regular" laptops in the house will connect using the same Key. I looked at troubleshooting on www.laptop.organd on the wiki, but cannot find any additional items to try.

I just got my laptop this morning. I am an educator and am anxious to show this off to my students and my peers.

Any advice on what to try next?

Thanks, Randy Thomas

Change History

follow-up: ↓ 8   Changed 7 years ago by carrano

We have three different issues here: two possible AP compatibility issued and a wep related issue.

In all three cases we need to confirm firmware(build) version on the XO.

1) We need to confirm router version. Linksys WMP54GV4 is a PCI card. Is this a PC based router?

2) The exact AP version would be very useful so we can repeat the test. Which is the model of this Belkin router?

3) As WEP behaves very differently on different models of APs, we need the AP's model. We know, for instance that the steps to connect to a WEP enabled Apple Airport Express is different than those for connecting to a WEP enabled Linksys WRT54G, for example.

follow-up: ↓ 41   Changed 7 years ago by rdike

I can confirm the behavior with the Belkin pre-N wireless router(aka AirGo TRUE MIMO) My model number is F5D8230-4 v2. Firmware 2.01.02 Boot Version 1.00.00

The OLPC has OpenFirmware: CL1 Q2D06 Q2D uname -r 2.6.22-20071121.7.olpc.af3dd731d18bc39

follow-up: ↓ 5   Changed 7 years ago by rdike

I forgot to add that I am running an open access point, no WEP. I have a linux system that actually connects to the internet. It has 3 ethernet ports, 1) internet 2) home network 3) wireless network. The system will not route from 2 to 3 or 3 to 2.

  Changed 7 years ago by jg

  • milestone changed from Never Assigned to Update.1

in reply to: ↑ 3   Changed 7 years ago by mbletsas

Replying to rdike:

I forgot to add that I am running an open access point, no WEP. I have a linux system that actually connects to the internet. It has 3 ethernet ports, 1) internet 2) home network 3) wireless network. The system will not route from 2 to 3 or 3 to 2.

I just ordered an AP like yours and we will try to reproduce the bug.

M.

  Changed 7 years ago by rdike

I suspect that the problem will be in the way that the laptop handles the multiple channels. One of the ways that pre-N/MIMO/N wireless routers obtain their increase in speed is by using multiple channels. I am thinking that the XO is get confused by and/or confusing the router channel negotiations with the other network cards. If this is true, then other brands of pre-N/MIMO/N wireless routers would have the same problem. Turning off the other channels on the XO may be a short work around while the correct solution of correctly handling the pre-N/MIMO/N negotiations is developed. The other solution would be to look for the pre-N/MIMO/N negotiations and when you see them turn off the other channels automatically.

HTH Reece Dike

  Changed 7 years ago by mbletsas

It is indeed a plausible scenario, however the XO doesn't try to handle multiple channels being strictly an 802.11b/g radio (without any of the various channel-binding extensions).

We have tested the XO with Draft-N routers (I use one at home) as well as a few "turbo" APs without any issues.

M.

in reply to: ↑ 1 ; follow-up: ↓ 10   Changed 7 years ago by SteveB

Replying to carrano:

3) As WEP behaves very differently on different models of APs, we need the AP's model. We know, for instance that the steps to connect to a WEP enabled Apple Airport Express is different than those for connecting to a WEP enabled Linksys WRT54G, for example.

I can confirm case (3) with my XO that arrived yesterday. I now have it working. The symptoms were identical for two different WEP-protected access points, both of which are usable from other computers. Multiple tries, checking and re-checking the WEP passphrases and hex keys being used, as well as connection mode, gave identical results: failure. I did not observe any interference with other computers during the attempts (a VPN connection on one of them stayed up, and it has a very short timeout), but since I never connected, I don't know if it would have happened then.

%uname -a LINUX xo-10.E5-21.localdomain 2.6.22-20071121.7.olpc.af3dd731d18bc39 #1 PREEMPT Wed Nov 21 00:39:06 EST 2007 i586 i586 GNU/Linux

Both wireless access points use 128-bit WEP. One is a Linksys WAP11 Wireless Access Point (802.11b only). No DHCP - it passes that through to the underlying router it's connected to, a Cayman 3546 (ASDL modem). (Turning off WEP, this worked fine and I get internet access, as expected. I then deleted the network.cfg file, turned WEP back on, and rebooted the XO.) Second AP is a Netgear WGR614 (802.11g), which is doing DHCP. Both are old -- old enough that they didn't do WPA. When I clicked either of these in the Neighborhood view, it pops up the expected security dialog. Watching (tail -f /var/log/messages), which I started just prior to clicking, I tried first the WRG access point, then the Linksys access point, trying both passphrase and hex version of the WEP key, and tried both modes. These all yielded a ">45 second DHCP timeout error".

Checking the firmware version of the WGR614, I found it to be version 1.1, rev 01. Old, old, old... I checked the Netgear website, found the latest version of firmware for this hardware (version 140, dated in 2004), installed it, and the XO now connects! There is something with the old (pre-final 802.11g standard) firmware behavior that XO doesn't like.

I could try updating the firmware in the Linksys, which is also old (firmware revision v2.05, Aug. 04, 2003), to see if that fixes it as well, but if someone would like me to ship it to them to figure out what's going on, or tell me what logs to collect, I'll hold off.

  Changed 7 years ago by rdike

If you have any trouble reproducing the problem I could send you my wireless router. Also if you want me to run any programs and/or collect some trace logs let me know. I can get a developer key and load a custom kernel if you need me to do that. I have be using linux since redhat 5.0 came out. I have compiled custom kernels and built a linux system from scratch.

in reply to: ↑ 8 ; follow-up: ↓ 12   Changed 7 years ago by mbletsas

Replying to SteveB:

I could try updating the firmware in the Linksys, which is also old (firmware revision v2.05, Aug. 04, 2003), to see if that fixes it as well, but if someone would like me to ship it to them to figure out what's going on, or tell me what logs to collect, I'll hold off.

Please do try upgrading the firmware on the Linksys and let us know if it fixes things.

M.

follow-up: ↓ 14   Changed 7 years ago by zoltanthegypsy

G1G1 XO 650/PQ2D05 brings down my Linksys WR54GX2 V1 router(s). Same behavior on two different units. Tried on 2 routers w/different SSIDs on different lans, both open with broadcast SSIDs. Tried with linksys firmware 1.01.14, 18, and 22 (the latest).

XO associates, gets an address, DNS entries, and routing looks OK. At that time the AP becomes invisible to other laptops.

Even though the XO networking files look OK (to me), the XO can't ping the AP, and can't access the net. Very strange.

Anything I can do to help?

Thanks, Bill

in reply to: ↑ 10 ; follow-up: ↓ 13   Changed 7 years ago by SteveB

Replying to mbletsas:

Replying to SteveB:

I could try updating the firmware in the Linksys, which is also old (firmware revision v2.05, Aug. 04, 2003), to see if that fixes it as well, but if someone would like me to ship it to them to figure out what's going on, or tell me what logs to collect, I'll hold off.

Please do try upgrading the firmware on the Linksys and let us know if it fixes things.

That turns out to be the latest released firmware for the WAP11 rev 2.8.

This is getting weirder all the time. I tried a WinXP Pro SP 2 machine, and it could *not* access the Linksys in WEP 128 bit mode either. I then checked with MacOS X 10.3.9, and it *was* able to connect. I tried the XO again at that point, and it *successfully connected* on the first try (both devices have been rebooted since the dozen+ earlier unsuccessful attempts). I then circled back, and the Win XP machine *was* able to connect. Now, all three machines are sharing the link successfully. This is smelling like an access point issue, so I'm retiring that AP and going shopping.

in reply to: ↑ 12   Changed 7 years ago by mbletsas

This is smelling like an access point issue, so I'm retiring that AP and going shopping.

Just don't buy a Linksys WR54GX2

M.

in reply to: ↑ 11 ; follow-up: ↓ 15   Changed 7 years ago by mbletsas

Replying to zoltanthegypsy:

G1G1 XO 650/PQ2D05 brings down my Linksys WR54GX2 V1 router(s). Same behavior on two different units. Tried on 2 routers w/different SSIDs on different lans, both open with broadcast SSIDs. Tried with linksys firmware 1.01.14, 18, and 22 (the latest).

Is that really the Linksys model #? I can't find it on Linksys' support site.

M.

in reply to: ↑ 14   Changed 7 years ago by zoltanthegypsy

Replying to mbletsas:

Replying to zoltanthegypsy:

G1G1 XO 650/PQ2D05 brings down my Linksys WR54GX2 V1 router(s). Same behavior on two different units. Tried on 2 routers w/different SSIDs on different lans, both open with broadcast SSIDs. Tried with linksys firmware 1.01.14, 18, and 22 (the latest).

Is that really the Linksys model #? I can't find it on Linksys' support site. M.

Sorry. WRT54GX2. I can also test with an old WRT54G and a couple of other old routers. Will report back.

  Changed 7 years ago by jg

This may be a duplicate report (but the person involved wasn't up to dealing with Trac), but from IRC last night, another person reported trouble with:

Linksys WRT54 GX2 Firmware: 1.01.14

But only once the XO connects to the router.

Problem recurs even after the router is power cycled.

It certainly appears this specific AP has a bug we're tickling, given the above discussion....

follow-up: ↓ 18   Changed 7 years ago by zoltanthegypsy

FWIF I can report that an old WRT54G V1.0 firmware V3.01.3 works with the XO as expected. It connects and doesn't cause the AP to fall over.

Also works as expected with a D-Link pocket router/AP DWL-G730AP in AP mode, although the first connect attempt causes the entire "neighborhood" screen to go blank until a reboot. 2nd attempt (after reboot) worked OK.

I realize that "works OK" doesn't add much to the conversation. It does look like more than one Linksys model router has issues - but not all.

Let me know if I can do anything else.

Bill

in reply to: ↑ 17 ; follow-ups: ↓ 19 ↓ 20   Changed 7 years ago by mbletsas

Bill,

Thanks for the report, it is very useful. It seems that the problems are with routers that use Airgo's True MIMO radios. We are getting one here and we will investigate.

It would be very helpful if you could actually send us a capture of an XO <-> AP association session, do you have sniffing capabilities?

M.

in reply to: ↑ 18   Changed 7 years ago by zoltanthegypsy

Replying to mbletsas:

Bill, Thanks for the report, it is very useful. It seems that the problems are with routers that use Airgo's True MIMO radios. We are getting one here and we will investigate. It would be very helpful if you could actually send us a capture of an XO <-> AP association session, do you have sniffing capabilities? M.

Hi "M"

Sorry, I have no experience with sniffing, but if you can throw me a link or a clue I will try to instrument it. I will do some googling in the meantime...

(For some reason I dont' get email when this page updates - I will try to check regularly)

Bill

in reply to: ↑ 18 ; follow-up: ↓ 21   Changed 7 years ago by zoltanthegypsy

Replying to mbletsas:

Bill, Thanks for the report, it is very useful. It seems that the problems are with routers that use Airgo's True MIMO radios. We are getting one here and we will investigate. It would be very helpful if you could actually send us a capture of an XO <-> AP association session, do you have sniffing capabilities?

OK, I fired up the old R40 (ipw2100) w/Knoppix and ran kismet. I think I captured an association attempt by the XO. The resulting log files are posted here: http://beezmo.com/scratch/xo/kismet/

I haven't even heard of kismet before, so I have no idea if any of this worked :( Please let me know if this helps or what I should actually be doing.

Thanks, Bill

in reply to: ↑ 20   Changed 7 years ago by zoltanthegypsy

Replying to zoltanthegypsy:

OK, I fired up the old R40 (ipw2100) w/Knoppix and ran kismet. I think I captured an association attempt by the XO. The resulting log files are posted here: http://beezmo.com/scratch/xo/kismet/

Just poking around I see this in *network:

Network 1: "omzeeb" BSSID: "00:18:39:98:00:C9"

Type : infrastructure Carrier : unknown Info : "None" Channel : 06 Encryption : "WEP "

In fact, the router config says that encryption is disabled, and my other laptops associate w/no encryption enabled. No idea what this means. Just noise?

Bill

  Changed 7 years ago by ashish

  • cc ashishs@… added

  Changed 7 years ago by zoltanthegypsy

  • cc william.waddington@… added

  Changed 7 years ago by dwmw2

  • cc dwmw2 added

  Changed 7 years ago by dwmw2

  • summary changed from G1G1 users complain that the XO affectst their local network to [firmware] G1G1 users complain that the XO affectst their local network

  Changed 7 years ago by mvalent

  • cc mvalent added

I confirm the problem with the Pre-n router and the build 653. It is messing up completely the router and the connection with the other computers. Any solution ?

  Changed 7 years ago by katie

  • cc katie@… added

  Changed 7 years ago by othiym23

  • cc forrest@… added

follow-up: ↓ 30   Changed 7 years ago by rdike

  • cc rdike@… added

If you need a wireless router with the Airgo's True MIMO radio/chipset to test with I have a Belkin Pre-N router that I could send to you.

in reply to: ↑ 29   Changed 7 years ago by mbletsas

Replying to rdike:

If you need a wireless router with the Airgo's True MIMO radio/chipset to test with I have a Belkin Pre-N router that I could send to you.

If you could do that it will be greatly appreciated. I've ordered one but it hasn't arrived yet. I assume it is a F5D8230-4 v2 (Marvell tested with a v1 they had around and couldn't replicate the problem).

Please send it to OLPC, my attention:

OLPC 1 Cambridge Center, 10th floor Cambridge, MA 02142

Thanks!

M.

  Changed 7 years ago by rchokshi

  • cc rchokshi@…, rbhagwat@… added

  Changed 7 years ago by rchokshi

I am posting some emails that were exchanged in regards to this issue. Please see below.

Start of emails:

"Ashish Shukla" <ashishs@…> 12/21/2007 08:26 AM To "Rajesh Bhagwat" <rbhagwat@…>, "Michail Bletsas" <mbletsas@…>, < jg@…> cc <kim@…>, <carrano@…>, < javier@…>, "Ronak Chokshi" <rchokshi@…>, "Ramya Dharshini Chandrasekaran" < ramyac@…> Subject RE: Report of interference with a linksys access point. I did the following simple test with Belkin pre-N router Firmware Version: 1.00.06 Boot Version: 2.01.08 Hardware: F5D8230-4 Serial No.: BEL1MRDK Associated 3 XOs and one regular laptop with this router and could

ping

between them. I did not observe anything interesting. All devices were kept in open environment with other 802.11 devices. If someone can suggest a few test cases, I can try here with this. Thanks and regards -Ashish


next email:

-----Original Message----- From: Michail Bletsas mbletsas@…

Sent: Friday, December 21, 2007 9:47 PM To: Ashish Shukla Cc: carrano@…; javier@…; jg@… ;

kim@…; Ramya Dharshini

Chandrasekaran; Rajesh Bhagwat; Ronak Chokshi Subject: RE: Report of interference with a linksys access point. Ashish, In the trac the report is for a the v2 version of that router and we

have

also gotten a few reports about the Linksys WRT54GX2 which apparently uses a similar Airgo True-MIMO radio. I can confirm the behavior with the Belkin pre-N wireless router(aka AirGo? TRUE MIMO) My model number is F5D8230-4 v2. Firmware 2.01.02

Boot

Version 1.00.00 Besides pinging can you actually try some internet access through the Belkin as well as downloading a big file. Thanks, M.


next email:

On Dec 24, 2007 10:31 AM, Ashish Shukla <ashishs@… > wrote:

I could see this with the model we have with the following test setup. Three XOs and one regular laptop associated to Belkin router. Two XOs doing flood ping to laptop while big file was downloaded from Internet. All XOs received deauth from AP and on sniffer I could see AP restarting itself. I could associate all XOs again with the same AP and could repeat this failure without actually doing any power cycle/reset to AP.

Thanks and regards -Ashish


next email:

On Dec 25, 2007 10:38 PM, Ashish Shukla <ashishs@…> wrote:

I am using build 649, OFW Q2d03 and wireless firmware 5.110.20.p48.

Thanks and regards -Ashish


next email:

From: Ashish Shukla Sent: Thursday, December 27, 2007 6:07 PM To: 'Kim Quirk' Cc: Michail Bletsas; carrano@…; javier@…; jg@…; Ramya Dharshini Chandrasekaran; Rajesh Bhagwat; Ronak Chokshi Subject: RE: Report of interference with a linksys access point.

I did not find any difference with p47 and p48. Both firmware versions gave same results with build 653, OFW Q2d03 (one XO was running Q2d07).

Further, I found that large file download from internet, using http through this AP on regular laptop, always failed, even though none of the XOs were associated to this AP at that time.

The regular test laptop was running Windows XP SP2 with Intel pro 3945 A/B/G card.

However, there were many 802.11 devices in that channel and I am not sure if it was because of the environment. Also, I could browse internet without any problem (sometimes I need to refresh page).

I am planning to run this in a shield box with one test having this AP and regular laptop doing internet file transfer, and other test using this AP , regular laptop and XOs to find out if AP is misbehaving or XO is causing AP to restart.

Let me know if you have any inputs on this or if you like to validate something else.

Thanks and regards -Ashish


next email:

From: Ashish Shukla Sent: Friday, December 28, 2007 3:45 AM To: Kim Quirk Cc: Michail Bletsas; carrano@…; javier@…; jg@…; Ramya Dharshini Chandrasekaran; Rajesh Bhagwat; Ronak Chokshi Subject: RE: Report of interference with a linksys access point.

I could not see the problem when I put all XOs (total 4), regular laptop and Belkin router in a RF shield box. Everything worked fine, no AP restart, I could download 290MB files from Internet while XOs doing flood ping, scp over mesh and infra.

In one instance I saw link lost in one of the XO but all others were working fine.

In summary, I guess it might be more of AP’s problem, which fails to handle busy environment.

It will be very useful if we get wireless firmware version reported in the ticket and if possible sniffer capture when this problem occurs.

Please let me know if there are any inputs on this issue.

Thanks and regards -Ashish

  Changed 7 years ago by zoltanthegypsy

Hmmm,

For what it's worth, when I see this problem I have a single WRT54GX2 router running open w/broadcast SSID, a single ThinkPad laptop (either T43 w/Intel 2915 or T61 w/Intel 4965), and a single XO. If the XO is allowed to associate, the router becomes invisible to the ThinkPad. I don't actually know the AP's status at that point. The XO seems to be associated and the networking files look appropriate, but the XO can't ping the router or reach the internet.

I tried to sniff the situation (as reported earlier) but since I'm not familiar w/kismet I may not have accomplished anything: http://beezmo.com/scratch/xo/kismet/

Please advise if I can do anything to help.

Bill

  Changed 7 years ago by rdike

Bill, I think rchokshi was just trying to update the ticket with some older emails so that the record of what has been checked is complete. If you look at the headers you can see that all of the emails are from last year.

I have sent mbletsas my belkin pre-n router that has the problem. He sent me this reply after he had received the router and had a weekend to play with it.

"I've seen the issue, but I don't have any good theories yet."

So, in short they are not saying that the problem isn't there or is being cause by other factors and that they do not yet understand what is causing the problem. Until they understand what is causing the problem they can't fix it.

The good news is that they now have an environment that they can reproduce the problem in. That is half the battle. IMO most of the remaining half is figuring out what is causing the problem. Once that is done, most of the time, the fix is easy/obvious. Sometimes though, its Aw $#!+, we have to redesign it. Lets hope this is not the latter.

Reece

  Changed 7 years ago by blanchet

not sure if related or not, but at least weird behavior: G1G1 XO with 2.6.22-20071121.7. AP is linksys WRT54GL running openwrt WHITE RUSSIAN (RC6). tried with WEP 128bits. did not connect. then removed WEP on the AP. other laptops reconnect (without any security). on the XO, all the networks in the neighborhood disappeared, including others not related to the change. /home/olpc/.sugar/.../networks.config was empty. rm and restart sugar did not help. reboot XO restored the network and neighborhood. weird that the only cure seems to be rebooting...

follow-up: ↓ 37   Changed 6 years ago by rdike

any update on when we can expect a fix?

in reply to: ↑ 36   Changed 6 years ago by mbletsas

Replying to rdike:

any update on when we can expect a fix?

I don't have anything further to report, since the wireless captures of an XO associating with the Belkin WiFi router, do not reveal why the router crashes.

I am revisiting this from time to time, however I have little hope that we can make progress without Airgo getting involved.

M.

  Changed 6 years ago by Dwaine

I just got a warning from Rogers in Toronto. I have the Linksys WRT54GX2 which crashes when a OLPC tries to connect to the router. Apparently, when the OLPC connects, the router goes out of control with DNS requests. The DNS requests bring the Rogers Primary and Secondary DNS servers to it's knees.

I see the led lights on the router goes absolutely crazy, flashing out of control.

I'm running joyride-1931. I'm available to help test if you guys needs some help.

Dwaine

  Changed 6 years ago by Dwaine

Here are the entries from the DNS server. Rogers provided them to me.

Queries, Queries resulting in Errors

99.231.175.116, 133, 116

Date Time, Src, Query, Query type 2008-05-05 15:00:17.55394, 99.231.175.116, mail., Internet Unknow 2008-05-05 15:00:17.56605, 99.231.175.116, mail., Addr 2008-05-05 15:00:17.57453, 99.231.175.116, mail., Internet Unknow 2008-05-05 15:00:17.58341, 99.231.175.116, mail., Addr 2008-05-05 15:00:17.59268, 99.231.175.116, mail., Internet Unknow

Date Time,Dst,Query,Response 2008-05-05 15:00:17.54335,99.231.175.116,Error:,3(Name Error) 2008-05-05 15:00:17.55406,99.231.175.116,Error:,3(Name Error) 2008-05-05 15:00:17.56617,99.231.175.116,Error:,3(Name Error) 2008-05-05 15:00:17.57463,99.231.175.116,Error:,3(Name Error) 2008-05-05 15:00:17.58357,99.231.175.116,Error:,3(Name Error)

  Changed 6 years ago by fuzzyTew

  • cc fuzzyTew@… added

in reply to: ↑ 2   Changed 6 years ago by mbletsas

  • next_action set to never set

Replying to rdike:

I can confirm the behavior with the Belkin pre-N wireless router(aka AirGo TRUE MIMO) My model number is F5D8230-4 v2. Firmware 2.01.02 Boot Version 1.00.00 The OLPC has OpenFirmware: CL1 Q2D06 Q2D uname -r 2.6.22-20071121.7.olpc.af3dd731d18bc39

Happy to report that with the latest "stable" build (708), the XO seems to works fine with the above access point. I had 3 Windows XP laptops associated with it (one was an XPXO) as well as 2 XOs running 708

M.

follow-up: ↓ 43   Changed 6 years ago by cscott

  • next_action changed from never set to test in build

What's the status on this bug? I've moved to 'test in build' -- is anyone still seeing this in 708 builds or joyride?

in reply to: ↑ 42 ; follow-ups: ↓ 44 ↓ 45   Changed 6 years ago by gyrm

What's the status on this bug? I've moved to 'test in build' -- is anyone still seeing this in 708 builds or joyride?

After not using my OLPC for a while, I updated to the latest release today (8.2.0). I'm still seeing this issue. I have a Belkin Pre-N router. Whenever the XO tries to connect to the router, my other machines which are connected to the router get kicked off and cannot establish a new connection.

I'm not sure if the XO connection is successful - it doesn't seem to be either.

in reply to: ↑ 43   Changed 6 years ago by mvalent

Replying to gyrm:

After not using my OLPC for a while, I updated to the latest release today (8.2.0).

Same here. Even with this new version, it is a complete mess. Impossible to use the XO with the network on in the control panel, it is completely breaking the local network and the connection to internet.

in reply to: ↑ 43   Changed 6 years ago by mbletsas

What we know for sure is that these routers crash when they try to process mesh (WDS) frames for the XO. It is not clear why they try to process frames that are not even addressed to them, however there is an easy workaround in disabling the mesh functionality in the XO's wireless subsystem.

On a terminal window type su and then: echo 0 > /sys/class/net/eth0/lbs_mesh

After that the XO cannot transmit WDS frames anymore and the routers stop crashing. I have had the Belking Pre-N router that rdike sent me running for weeks in my lab.

For G1G1 people with a single XO, disabling the mesh is a non-event as far as functionality is concerned.

M.

Replying to gyrm:

What's the status on this bug? I've moved to 'test in build' -- is anyone still seeing this in 708 builds or joyride?

After not using my OLPC for a while, I updated to the latest release today (8.2.0). I'm still seeing this issue. I have a Belkin Pre-N router. Whenever the XO tries to connect to the router, my other machines which are connected to the router get kicked off and cannot establish a new connection. I'm not sure if the XO connection is successful - it doesn't seem to be either.

  Changed 6 years ago by ashish

If disabling mesh (echo 0 > /sys/class/net/eth0/lbs_mesh) works. Can you please confirm if the following script (mesh without beacon and probe response traffic) works?

echo 1 > /sys/class/net/eth0/lbs_mesh
iwpriv msh0 bcn_control 0
iwpriv msh0 setprspretrylt 0

Thanks!

  Changed 2 years ago by Quozl

  • status changed from new to closed
  • next_action changed from test in build to no action
  • resolution set to fixed

We haven't seen this issue with the current firmware and software builds, so I'm closing this ticket. Thanks for the testing. If any of you are able to test with our current builds, please contact quozl@….

Note: See TracTickets for help on using tickets.